/*
    The Player by Paananen.
    C interface by Marq.    
*/

#ifndef THEPLAYER_H
#define THEPLAYER_H

extern short pt_songpos,pt_patternpos;

/* Load a module from disk. Returns NULL if error, otherwise the
   pointer to allocated chipmem. */
void *theplayer_load(char *tune);

/* Free the memory obtained with load */
void theplayer_free(void *ptr);

/* Start playing directly from chipmem. In your assembly source do this:
        xdef _biisi
        section chip,data_c
_biisi: incbin P61.pasonder
*/
void __asm theplayer_init(register __a0 void *tune);

/* We're done! */
void __asm theplayer_end(void);

#endif
